GET

studentattendancebyweek API

Retrieve and manage studentattendancebyweek records from the Apps4Edu sync database.

Endpoint Path

GET /api/studentattendancebyweek

CURL Example

curl "https://api.apps4education.co.uk/api/studentattendancebyweek?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
studentID int
startDate datetime
endDate datetime
weekLabel varchar
monAM varchar
monPM varchar
tueAM varchar
tuePM varchar
wedAM varchar
wedPM varchar
thuAM varchar
thuPM varchar
friAM varchar
friPM varchar
satAM varchar
satPM varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "studentID": 101,
      "startDate": "example_value",
      "endDate": "example_value",
      "weekLabel": "example_value",
      "monAM": "example_value",
      "monPM": "example_value",
      "tueAM": "example_value",
      "tuePM": "example_value",
      "wedAM": "example_value",
      "wedPM": "example_value",
      "thuAM": "example_value",
      "thuPM": "example_value",
      "friAM": "example_value",
      "friPM": "example_value",
      "satAM": "example_value",
      "satPM": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.